<?php
/**
* FetchResult Example
* 
* This example uses the FetchResult[Assoc, Object, Row] functions to retrieve the first query result.
* The method shown in this example uses FetchResultRow but the other functions would be used in the 
* same way.
* @package AbstractDB
* @author Pacific-Cybersoft
* @copyright (C) 2005 Pacific-Cybersoft. All Rights Reserved.
* @version v 1.0.2
* @license http://www.gnu.org/copyleft/lesser.txt GNU Lesser General Public License
*/

/**
* Include the AbstractDB main class.
*/
include("../abstractdb.class.php");

// Instatiate AbstractDB
$db = new AbstractDB(array("ConnectionString"=>"mysql://username:password@localhost/mydatabase"));
// Execute a Query
if($rs = $db->Query("SELECT * FROM tablename LIMIT 0,1"))
{
	// Get the result
	$db->FetchResultRow($rs, $row);
	// Do something with the data in $row.
	print_r($row);
}
else
{
	die($db->GetLastError());
}
// Always good practice to close AbstractDB at the end of each script.
$db->Close();
?>