<?php
/**
* GetFieldNames Example
* 
* This example uses the GetFieldNames method to get the names of fields in a result set.
* @package AbstractDB
* @author Pacific-Cybersoft
* @copyright (C) 2005 Pacific-Cybersoft. All Rights Reserved.
* @version v 1.0.2
* @license http://www.gnu.org/copyleft/lesser.txt GNU Lesser General Public License
*/

/**
* Include the AbstractDB main class.
*/
include("../abstractdb.class.php");

// Instatiate AbstractDB
$db = new AbstractDB(array("ConnectionString"=>"mysql://username:password@localhost/mydatabase"));
// Execute a Query
if($rs = $db->Query("SELECT * FROM tablename"))
{
	// Get the field names
	$db->GetFieldNames($rs, $fields);
	// Do something with the field names
	foreach($fields as $field)
	{
		echo($field)
	}
	// Free Result
	$db->FreeResult($rs);
}
else
{
	die($db->GetLastError());
}
// Always good practice to close AbstractDB at the end of each script.
$db->Close();
?>